net.minecraft.inventory

## Class ContainerBrewingStand

- java.lang.Object
- - net.minecraft.inventory.Container
  - - net.minecraft.inventory.ContainerBrewingStand

-     public class ContainerBrewingStand
      extends Container

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.inventory.Container

      `crafters, inventoryItemStacks, inventorySlots, windowId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerBrewingStand(InventoryPlayer par1InventoryPlayer, TileEntityBrewingStand par2TileEntityBrewingStand)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCraftingToCrafters(ICrafting par1ICrafting)`
    `boolean` | `canInteractWith(EntityPlayer par1EntityPlayer)`
    `void` | `detectAndSendChanges()`
    `ItemStack` | `transferStackInSlot(EntityPlayer par1EntityPlayer, int par2)`
    `void` | `updateProgressBar(int par1, int par2)`

    - ### Methods inherited from class net.minecraft.inventory.Container

      `addSlotToContainer, calcRedstoneFromInventory, canDragIntoSlot, enchantItem, func_94525_a, func_94527_a, func_94528_d, func_94529_b, func_94530_a, func_94532_c, func_94533_d, func_94534_d, getInventory, getNextTransactionID, getSlot, getSlotFromInventory, isPlayerNotUsingContainer, mergeItemStack, onContainerClosed, onCraftMatrixChanged, putStackInSlot, putStacksInSlots, removeCraftingFromCrafters, retrySlotClick, setPlayerIsPresent, slotClick`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerBrewingStand

          public ContainerBrewingStand(InventoryPlayer par1InventoryPlayer,
                               TileEntityBrewingStand par2TileEntityBrewingStand)

  - ### Method Detail

    - #### addCraftingToCrafters

          public void addCraftingToCrafters(ICrafting par1ICrafting)

      Overrides:
        `addCraftingToCrafters` in class `Container`

    - #### detectAndSendChanges

          public void detectAndSendChanges()

      Overrides:
        `detectAndSendChanges` in class `Container`

    - #### updateProgressBar

          public void updateProgressBar(int par1,
                               int par2)

      Overrides:
        `updateProgressBar` in class `Container`

    - #### canInteractWith

          public boolean canInteractWith(EntityPlayer par1EntityPlayer)

      Specified by:
        `canInteractWith` in class `Container`

    - #### transferStackInSlot

          public ItemStack transferStackInSlot(EntityPlayer par1EntityPlayer,
                                      int par2)

      Overrides:
        `transferStackInSlot` in class `Container`